<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_qeupgradehelper', language 'cy', version '3.6'.
 *
 * @package     local_qeupgradehelper
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action'] = 'Gweithredu';
$string['alreadydone'] = 'Mae popeth wedi cael ei drosi\'n barod';
$string['areyousure'] = 'Ydych chi\'n siŵr?';
$string['areyousuremessage'] = 'Ydych chi am fwrw ymlaen i uwchraddio pob {$a->numtoconvert} cynnig ar y cwis \'{$a->name}\' yn y cwrs {$a->shortname}?';
$string['areyousureresetmessage'] = 'Mae gan y cwis \'{$a->name}\' yn y cwrs {$a->shortname} {$a->totalattempts} cynnig, ac o blith y rheini cafodd {$a->convertedattempts} eu huwchraddio o\'r hen system. O blith y rheini, gellir ailosod {$a->resettableattempts} cynnig, i\'w trosi eto yn nes ymlaen. Ydych chi am fwrw ymlaen â hyn?';
$string['attemptstoconvert'] = 'Cynigion angen eu trosi';
$string['backtoindex'] = 'Yn ôl i\'r brif dudalen';
$string['conversioncomplete'] = 'Wedi gorffen trosi';
$string['convertattempts'] = 'Trosi';
$string['convertedattempts'] = 'Wedi trosi';
$string['convertquiz'] = 'Trosi pob cynnig...';
$string['cronenabled'] = 'Wedi galluogi cron';
$string['croninstructions'] = 'Gallwch alluogi cron i uwchraddio\'n awtomatig ar ôl uwchraddio\'n rhannol. Bydd cron yn rhedeg rhwng oriau penodol ar y diwrnod (yn unol ag amser lleol y gweinydd). Bob tro y bydd cron yn rhedeg, bydd yn prosesu sawl cynnig nes bod yr amser wedi dod i ben, yna bydd yn aros nes bydd yn bryd iddo redeg eto. Hyd yn oed os ydych chi wedi rhoi cron ar waith, ni fydd yn gwneud dim oni bai ei fod yn gwybod bod y brif broses uwchraddio i 2.1 wedi\'i chwblhau.';
$string['cronprocesingtime'] = 'Amser prosesu pob cyfnod cron';
$string['cronsetup'] = 'Ffurfweddu cron';
$string['cronsetup_desc'] = 'Gallwch ffurfweddu cron i uwchraddio data cynnig ar gwis yn awtomatig.';
$string['cronstarthour'] = 'Awr cychwyn';
$string['cronstophour'] = 'Awr gorffen';
$string['extracttestcase'] = 'Echdynnu prawf achos';
$string['extracttestcase_desc'] = 'Defnyddiwch ddata enghreifftiol o\'r gronfa ddata i helpu i greu profion uned y gellir eu defnyddio i brofi\'r uwchraddio.';
$string['gotoindex'] = 'Mynd yn ôl i\'r rhestr cwisiau y mae modd eu huwchraddio';
$string['gotoquizreport'] = 'Mynd i\'r adroddiadau ar gyfer y cwis hwn, i weld yr uwchraddio';
$string['gotoresetlink'] = 'Mynd i\'r rhestr o gwisiau y gellir eu hailosod';
$string['includedintheupgrade'] = 'Wedi\'i gynnwys yn yr uwchraddio?';
$string['invalidquizid'] = 'ID cwis annilys. Naill ai nid yw\'r cwis yn bodoli, neu nid oes ganddo gynnig i\'w drosi.';
$string['listpreupgrade'] = 'Rhestru pob cwis a chynnig';
$string['listpreupgrade_desc'] = 'Bydd hyn yn dangos adroddiad am bob cwis ar y system a sawl cynnig sydd ganddynt. Bydd hyn yn rhoi syniad i chi beth yw cwmpas y broses uwchraddio y bydd yn rhaid i chi ymgymryd â hi.';
$string['listpreupgradeintro'] = 'Dyma sawl cynnig ar gwis y bydd angen ei phrosesu pan fyddwch chi\'n uwchraddio eich safle. Dydy ychydig ddegau o filoedd ddim yn broblem, ond os oes llawer mwy na hynny, dylech ystyried faint o amser y bydd y broses uwchraddio\'n ei gymryd.';
$string['listtodo'] = 'Rhestru\'r cwisiau y mae angen eu huwchraddio';
$string['listtodo_desc'] = 'Bydd hyn yn dangos adroddiad am bob cwis ar y system (os o gwbl) sydd â chynnig y mae angen ei huwchraddio i\'r peiriant cwestiynau newydd.';
$string['listtodointro'] = 'Dyma\'r holl gwisiau sydd â data ymgeisio y mae dal angen eu trosi. Gallwch drosi pob cynnig drwy glicio\'r ddolen.';
$string['listupgraded'] = 'Rhestru\'r cwisiau sydd eisoes wedi eu huwchraddio y gellir eu hailosod';
$string['listupgraded_desc'] = 'Bydd hyn yn dangos adroddiad am bob cwis ar y system y mae ei gynnig wedi\'i uwchraddio, a lle mae\'r hen ddata yn dal yn bresennol er mwyn gallu ailosod ac ail gynnal y broses uwchraddio.';
$string['listupgradedintro'] = 'Dyma\'r holl gwisiau sy\'n cynnwys cynnig wedi\'i uwchraddio, a lle mae\'r hen ddata\'r cynnig yn dal yno, felly gellid eu hailosod ac ail gynnal y broses uwchraddio.';
$string['noquizattempts'] = 'Does dim un cynnig ar gwis yn eich safle!';
$string['nothingupgradedyet'] = 'Does dim cynnig wedi uwchraddio y gellir ei ailosod';
$string['notupgradedsiterequired'] = 'Dim ond cyn i\'r safle gael ei uwchraddio y gall y sgript hon weithio.';
$string['numberofattempts'] = 'Sawl cynnig ar gwis';
$string['oldsitedetected'] = 'Yn ôl pob golwg, dydy\'r safle hwn ddim wedi\'i uwchraddio i gynnwys y peiriant cwestiynau newydd.';
$string['outof'] = '{$a->some} o {$a->total}';
$string['pluginname'] = 'Help i uwchraddio\'r peiriant cwestiynau';
$string['pretendupgrade'] = 'Profi\'r broses uwchraddio cynigion cyn uwchraddio go iawn';
$string['pretendupgrade_desc'] = 'Mae\'r broses uwchraddio yn gwneud tri pheth: Llwytho\'r data presennol o\'r gronfa ddata; eu trawsnewid; yna ysgrifennu\'r data wedi\'u trawsnewid i\'r gronfa ddata. Bydd y sgript hon yn profi dwy ran gyntaf y broses.';
$string['questionsessions'] = 'Sesiynau cwestiynau';
$string['quizid'] = 'ID Cwis';
$string['quizupgrade'] = 'Statws uwchraddio cwis';
$string['quizzesthatcanbereset'] = 'Mae gan y cwisiau canlynol gynnig wedi\'i drosi y bydd modd i chi ei ailosod o bosib';
$string['quizzestobeupgraded'] = 'Pob cwis gyda chynnig';
$string['quizzeswithunconverted'] = 'Mae gan y cwisiau canlynol gynnig sydd angen ei drosi';
$string['resetcomplete'] = 'Wedi gorffen ailosod';
$string['resetquiz'] = 'Ailosod pob cynnig...';
$string['resettingquizattempts'] = 'Ailosod cynigion ar gwis';
$string['resettingquizattemptsprogress'] = 'Ailosod cynnig {$a->done} / {$a->outof}';
$string['upgradedsitedetected'] = 'Yn ôl pob golwg, mae\'r safle hwn wedi ei uwchraddio i gynnwys y peiriant cwestiynau newydd.';
$string['upgradedsiterequired'] = 'Dim ond ar ôl i\'r safle gael ei uwchraddio y gall y sgript hon weithio.';
$string['upgradingquizattempts'] = 'Uwchraddio pob cynnig ar y cwis \'{$a->name}\' yn y cwrs {$a->shortname}';
$string['veryoldattemtps'] = 'Mae gan eich safle {$a} cynnig ar gwis na lwyddwyd i\'w diweddaru\'n llawn yn ystod y broses uwchraddio o Moodle 1.4 i Moodle 1.5. Bydd pob cynnig yn cael sylw cyn y brif broses uwchraddio. Mae angen i chi ystyried yr amser ychwanegol sydd ei angen ar gyfer hyn.';
